@echo off&Title annie视频下载工具 - 更多功能

:VDstart
set annie="%CD%\Main\Tools\annie.exe"
echo.&echo.
echo -------------------------------------
echo.
echo.
echo annie视频下载工具 - 更多功能
echo.&echo.
echo 	输入 0 可返回主菜单
echo.&echo.
set /p URL=请输入视频网址或拖入txt并回车:

::如果URL为0就返回主菜单
if %URL% NEQ 0 goto MediaDownMenu
if %URL% EQU 0 call "AYY-VideoDown.BAT"

:MediaDownMenu
echo.&echo.
echo annie 下载方式
echo -------------------------------------
echo.&echo.
echo.（注：如果你是拖入的txt请选择5）
echo.&echo.
echo 1. 想要自己选择清晰度和格式
echo.&echo.
echo 2. 下载整个播放列表而不是单个视频
echo.&echo.
echo 3. 指定列表下载的集数
echo.&echo.
echo 4. 指定列表下载的范围
echo.&echo.
echo 5. 读取txt批量下载
echo.&echo.
echo 6. b站flv无损转mp4
echo.&echo.
echo 7. 单线程下载
echo.&echo.
set /p choose=请选择相应的处理方式：

if "%choose%"=="1" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto ChooseQuality
if "%choose%"=="2" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto PlaylistDown
if "%choose%"=="3" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto PlaylistDown-item
if "%choose%"=="4" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto PlaylistDown-SE
if "%choose%"=="5" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto MultipleDown
if "%choose%"=="6" set OP=-o "%CD%\Download\annie-down" -n 16 -C -retry 6 &Goto FlvToMp4
if "%choose%"=="7" set OP=-o "%CD%\Download\annie-down" -C -retry 6 &Goto OneThread

Echo.&Echo                输入无效，请重新输入！
ping -n 2 127.1 >nul
Goto :MediaDownMenu

:ChooseQuality
%annie% -i %URL%
Set /p CQ=输入数字以选择质量并按回车：
%annie% %OP% -f %CQ% %URL% &Goto VDstart

:PlaylistDown
%annie% %OP% -p %URL% &Goto VDstart

:PlaylistDown-item
Set /p item=输入想要下载的集数（用英文逗号分隔如：1,5,6）并按回车：
%annie% %OP% -p -items %item% %URL% &Goto VDstart

:PlaylistDown-SE
Set /p S=输入播放列表开始的集数（默认第一集）并按回车：
Set /p E=输入播放列表结束的集数（默认最后一集）并按回车：
%annie% %OP% -p -start %S% -end %E% %URL% &Goto VDstart

:MultipleDown
%annie% %OP% -F %URL% &Goto VDstart

:FlvToMp4
%annie% %OP% %URL%
MD "%CD%\Download\annie-down\flv无损转mp4"
cd %CD%\Download\annie-down
 for %%i in (*.flv) do ffmpeg.exe -i "%%i" -vcodec copy -acodec copy -n "flv无损转mp4\%%~ni.mp4" &Goto VDstart

:OneThread
%annie% %OP% %URL% &Goto VDstart


